<?php
/*
Template Name: 年度文章统计
Template Post Type: post
*/
?>
<?php
	get_header();
	while(have_posts()):the_post();
	save_no_email_post(get_the_ID());
	$Share = new MiShare();
	$Share->config = array( 'url' => get_permalink(), 'title' => get_the_title(), 'pic' => timthumb( post_thumbnail_src(),null,'original'), 'des' => get_the_excerpt());

?>
<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="article col-xs-12 col-sm-8 col-md-8">
				
				<?php echo single_pc_top_ad_pic() . single_mini_top_ad_pic(); ?>
				<?php 	
						$cc_value_meta = get_post_meta($post->ID,"cc_value",true );
						$metainfo = suxingme('single_metainfo');
						$dis_author = isset( $metainfo['author'] ) ? $metainfo['author'] : 0;
						$dis_cat  = isset( $metainfo['cat'] ) ? $metainfo['cat'] : 0 ;
						$dis_time = isset( $metainfo['time'] ) ? $metainfo['time'] : 0 ;
						$dis_view = isset( $metainfo['view'] ) ? $metainfo['view'] : 0 ;
						$dis_like = isset( $metainfo['like'] ) ? $metainfo['like'] : 0 ;
						$cc_value = isset( $cc_value_meta ) ? $cc_value_meta : 0 ;
				?>
				<?php
					if( get_post_meta($post->ID,'single_himg_s',true) ){
						if( get_post_meta($post->ID,'single_himg_url',true) ){
							$himg = get_post_meta($post->ID,'single_himg_url',true);
						} else {
							$himg = post_thumbnail_src();
						}
						echo '<div class="post-timthumb" style="background-image: url('.$himg.');"><h1>'.get_the_title().'</h1></div>';
						$title = '';
					} else {
						$title = '<h1 class="title">'.get_the_title().'</h1>';
					}
				?>
				<div class="post">
					<div class="post-title">
						<?php if (suxingme('suxingme_breadcrumbs',false) && function_exists('dimox_breadcrumbs') && $title != '') dimox_breadcrumbs(); ?>
						<?php the_tags('<div class="post-entry-categories">','','</div>'); ?>
						<?php echo $title; ?>
						<div class="post_icon">
							<?php 
								if( $dis_author == 1 ) :
									if( $cc_value != 2 && $cc_value != 3 ){ ?>
										<span  class="postauthor"><?php echo get_avatar( get_the_author_meta('email'), '' ); ?><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ) ?>"><?php echo get_the_author() ?></a></span> 
									<?php  }  ?>
							<?php endif; ?>
							
							<?php if( $cc_value == 1 ) { ?>
								<span class="postoriginal"><i class="icon-cc-1"></i><?php echo suxingme('suxingme_custom_cc');?></span>
							<?php } ?>
							<?php if( $dis_cat == 1 ) { ?>
								<span  class="postcat"><i class=" icon-list-2"></i> <?php $category = get_the_category();if($category[0]){echo '<a href="'.get_category_link($category[0]->term_id ).'">'.$category[0]->cat_name.'</a>';}?></span>
							<?php } if( $dis_time == 1 ) { ?>
								<span class="postclock"><i class="icon-clock-1"></i> <?php echo timeago( get_gmt_from_date(get_the_time('Y-m-d G:i:s')) ); ?></span>
							<?php } if( $dis_view == 1 ) { ?>
								<span class="posteye"><i class="icon-eye-4"></i> <?php post_views('',''); ?></span>
							<?php } if(suxingme('suxingme_post_comment',true) && comments_open(get_the_ID()) ) { ?>
								<span class="postcomment"><i class="icon-comment-4"></i> <a href="<?php the_permalink(); ?>" title="评论"><?php comments_popup_link( __( '0' ) , __( '1'), __( '%') ); ?></a></span>
							<?php }  if( $dis_like == 1 ) { ?><span class="postlike"><i class="icon-heart"></i> <?php if( get_post_meta($post->ID,'suxing_ding',true) ){ echo get_post_meta($post->ID,'suxing_ding',true); } else {echo '0';}?></span><?php } ?>
					
							<?php edit_post_link('[编辑]'); ?>
						</div>
					</div>
					<div class="post-content">
						<?php if(has_excerpt()): ?>
							<p class="post-abstract"><span class="abstract-tit">摘要：</span><?php echo get_the_excerpt(); ?></p>
						<?php endif;?>
						
						<?php if(get_post_meta($post->ID, 'years', true)){$ndtj = get_post_meta($post->ID, 'years', true);}else{$ndtj = date('Y')-1;}?>	

						<?php
						// WordPress 获取每年文章总数量
						if(!function_exists("get_num_posts_by_year")) {
							function get_num_posts_by_year( $year ) {
								global $wpdb;
								$next_year = $year + 1;			
								return $wpdb->get_var(
								$wpdb->prepare(
								"SELECT COUNT(*) FROM $wpdb->posts WHERE post_date >= %s AND post_date < %s AND post_type = %s AND post_status = %s",
								"$year-01-01",
								"$next_year-01-01",
								"post",
								"publish"
								)
								);
								}
								}						
						?>
								
						<?php								
						// WordPress 获取每年评论总数量
						if(!function_exists("get_num_comments_by_year")) {
							function get_num_comments_by_year( $year ) {
								global $wpdb;
								$next_year = $year + 1;								
								return $wpdb->get_var(
								$wpdb->prepare(
								"SELECT COUNT(*) FROM $wpdb->comments WHERE comment_date BETWEEN '$year-01-01' AND '$next_year-01-01' AND comment_approved = '1' AND comment_type = 'comment'",
								)
								);
								}
								}						
						?>								
						
						<h2><strong>站点统计</strong></h2>  
						
						日志总数：<?php $count_posts = wp_count_posts(); echo $published_posts = $count_posts->publish;?> 篇　　<?php echo $ndtj;?>年发布 <?php echo get_num_posts_by_year ( $ndtj );?> 篇</br>
                        评论总数：<?php echo $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments");?> 条　　<?php echo $ndtj;?>年收到 <?php echo get_num_comments_by_year( $ndtj );?> 条</br>
						浏览总数：<?php if(function_exists('the_views')) { get_totalviews();}?> 次</br>
                        分类总数：<?php echo $count_categories = wp_count_terms('category'); ?> 个</br>
                        标签总数：<?php echo $count_tags = wp_count_terms('post_tag'); ?> 个</br>
                        友情链接：<?php $link = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->links WHERE link_visible = 'Y'"); echo $link; ?> 个</br>
                        网站运行：<?php echo floor((time()-strtotime("2011-7-27"))/86400); ?> 天</br>
                        最后更新：<?php $last = $wpdb->get_results("SELECT MAX(post_modified) AS MAX_m FROM $wpdb->posts WHERE (post_type = 'post' OR post_type = 'page') AND (post_status = 'publish' OR post_status = 'private')");$last = date('Y年n月j日', strtotime($last[0]->MAX_m));echo $last; ?></br>
						</br>
						
						<h2><strong><?php echo $ndtj;?>年度浏览最多的十篇文章</strong></h2>
						<?php
						query_posts( array( 'year' => $ndtj, 'meta_key' => 'views', 'orderby' => 'meta_value_num', 'showposts' => '10', 'order' => 'DESC' ) );
						if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
						<li><a href="<?php echo get_permalink();?>" target="_blank"><?php echo get_the_title();?></a> (<?php the_views();?>)</li>
						<?php endwhile;wp_reset_postdata(); endif;?>
						</br>				
						
						<h2><strong><?php echo $ndtj;?>年度评论最多的十篇文章</strong></h2>
						<?php
                        $next_year = $ndtj + 1;
						$result = $wpdb->get_results("SELECT comment_count,ID,post_title,post_date FROM $wpdb->posts WHERE post_date BETWEEN '$ndtj-01-01' AND '$next_year-01-01' ORDER BY comment_count DESC LIMIT 0 , 10");
						foreach ($result as $post) {
							setup_postdata($post);
							$postid = $post->ID;
							$title = $post->post_title;
							$commentcount = $post->comment_count;
							if ($commentcount != 0) { ?>
						<li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>"><?php echo $title ?></a> (<?php echo $commentcount ?>)</li>
						<?php } } ?>
						
						<?php 
							the_content();
						?>
													
					</div>
					<?php cc_notice(); ?>
					<div class="clearfix"></div>
					<div class="post-options">
							<?php if(suxingme('suxingme_post_like',true)) { ?>
							<a href="javascript:;" data-action="ding" data-id="<?php the_ID(); ?>" id="Addlike" class="action btn-likes like<?php if(isset($_COOKIE['suxing_ding_'.$post->ID])) echo ' current';?>" title="喜欢">
								<span class="icon s-like"><i class="icon-heart"></i><i class="icon-heart-filled"></i> 喜欢 </span>
								(<span class="count num"><?php if( get_post_meta($post->ID,'suxing_ding',true) ){ echo get_post_meta($post->ID,'suxing_ding',true); } else {echo '0';}?></span>)
							</a>
							<?php } ?>
							<?php if(suxingme('suxingme_reward')) { ?>
								<div class="su-dropdown paydropdown">
						            <a href="javascript:;" class="pay-author" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><i class=" icon-dollar"></i><span>打赏</span></a>
						            <div class="su-dropbox <?php if( suxingme('suxingme_alireward') && suxingme('suxingme_wxreward') ){ echo 'pay-allqr'; } ?>" aria-labelledby="pay-qr">
						                <ul>
											<?php if(suxingme('suxingme_alireward') or get_the_author_meta( 'alipay' )) { ?>
												<li class="alipay"><img alt="打赏" src="<?php if ( get_the_author_meta( 'alipay' ) ){echo get_the_author_meta( 'alipay' );}else{echo suxingme('suxingme_alireward') ;}?>"><b>支付宝扫一扫</b></li>
											<?php } ?>
											<?php if(suxingme('suxingme_wxreward') or get_the_author_meta( 'wxpay' )) { ?>
												<li class="weixinpay"><img alt="打赏" src="<?php if ( get_the_author_meta( 'wxpay' ) ){echo get_the_author_meta( 'wxpay' );}else{echo suxingme('suxingme_wxreward') ;}?>"><b>微信扫一扫</b></li>
											<?php } ?>	
										</ul>
						            </div>
						        </div>
						    <?php } ?>
							<?php if(suxingme('suxingme_baidushare')) { ?>
							<div class="su-dropdown socialdropdown">
								<a href="javascript:;" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" class="J_showAllShareBtn"><i class="icon-forward"></i></a>
								<div class="su-dropbox action-share bdsharebuttonbox" aria-labelledby="social">
									<a class="icon-weibo" rel="nofollow" target="_blank" href="<?php echo $Share->weibo(); ?>"><span>微博</span></a>
									<a class="icon-wechat" rel="nofollow" href="javascript:;"><span>微信</span></a>
									<a class="icon-qq" rel="nofollow" target="_blank" href="<?php echo $Share->qq(); ?>"><span>QQ</span></a>
								</div>          
							</div>

							<div class="single-weixin-dropdown">
								<div class="tooltip-weixin-inner">
									<h3>微信扫一扫,分享到朋友圈</h3>
									<div class="qcode"> 
										<img src="<?php echo $Share->weixin(); ?>" width="160" height="160" alt="微信公众号">
									</div>
								</div>
								<div class="close-weixin">
									<span class="close-top"></span>
										<span class="close-bottom"></span>
							    </div>
							</div> 
							<?php } ?>

					</div>
					<?php echo single_pc_ad_pic() . single_mini_ad_pic(); ?>
					<?php if(suxingme('nextprevposts',true)) { ?>
						<div class="next-prev-posts clearfix">
							
							<?php 	
								$next_class = '';
								$prev_class = '';
								$prev_post = get_previous_post(false,'');
								$next_post = get_next_post(false,'');

								if ( empty( $prev_post ) ) : 
									$next_class = 'style="width:100%;"';
								endif;

								if(empty( $next_post )): 
									$prev_class = 'style="width:100%;"';
								endif;
								
								if ( !empty( $prev_post ) ) : ?>
									<div class="prev-post" <?php echo $prev_class; ?>>
										<a href="<?php echo get_permalink( $prev_post->ID ); ?>" title="<?php echo $prev_post->post_title; ?>" <?php if( suxingme('suxingme_post_target')) { echo 'target="_blank"';}?> class="prev has-background" style="background-image: url(<?php $prev_img = get_post_thumbnail_url($prev_post->ID); echo !empty( $prev_img ) ? $prev_img : suxingme('suxingme_p_n_bgp'); ?>)" alt="<?php echo $prev_post->post_title; ?>">	
											<span>上一篇</span><h4><?php echo $prev_post->post_title; ?></h4>
										</a> 
									</div> 
								<?php endif;

								if(!empty( $next_post )): ?>
									<div class="next-post" <?php echo $next_class; ?>>
										<a href="<?php echo get_permalink( $next_post->ID ); ?>" title="<?php echo $next_post->post_title; ?>" <?php if( suxingme('suxingme_post_target')) { echo 'target="_blank"';}?> class="next has-background" style=" background-image: url(<?php $next_img = get_post_thumbnail_url($next_post->ID); echo !empty( $next_img ) ? $next_img : suxingme('suxingme_p_n_bgp'); ?>)" alt="<?php echo $next_post->post_title; ?>">	
											<span>下一篇</span><h4><?php echo $next_post->post_title; ?></h4>
										</a> 
									</div> 
								<?php endif;?>
						
						</div>
					<?php } ?>	 
				</div>
				<?php if(suxingme('related-post',true)) {  include get_template_directory() . '/includes/relatepost.php'; }?>

				<div class="clear"></div>
				<?php if (comments_open()) comments_template( '', true ); ?>	
			</div>	
			<?php get_sidebar(); ?>
		</div>
	</div>
</div>
<?php
	endwhile;
	get_footer();
?>
